# QZX Commands Documentation

> This file has been automatically generated by documentation_autogen_commands.py. Do not modify by hand.
> Generated on: 2025-03-17 15:57:59

## Table of Contents

- [Dev Commands](#dev-commands)
  - [CreateDocTemplatePython](#createdoctemplatepython)
  - [analyzeComplexity](#analyzecomplexity)
  - [compareFiles](#comparefiles)
- [Development Commands](#development-commands)
  - [makeScaffProgramC](#makescaffprogramc)
  - [makeScaffProgramCpp](#makescaffprogramcpp)
  - [makeScaffProgramPython](#makescaffprogrampython)
  - [makeScaffProgramRust](#makescaffprogramrust)
- [File Commands](#file-commands)
  - [changePermissions](#changepermissions)
  - [copyFile](#copyfile)
  - [countLinesInFile](#countlinesinfile)
  - [createDirectory](#createdirectory)
  - [deleteFile](#deletefile)
  - [downloadFile](#downloadfile)
  - [findFiles](#findfiles)
  - [findLargeFiles](#findlargefiles)
  - [findText](#findtext)
  - [getHumanLanguageStatsFromFile](#gethumanlanguagestatsfromfile)
  - [getProgrammingLanguageStatsFromFile](#getprogramminglanguagestatsfromfile)
  - [listFiles](#listfiles)
  - [moveFile](#movefile)
  - [readFile](#readfile)
  - [touchFile](#touchfile)
  - [wonderFileTypeMagic](#wonderfiletypemagic)
  - [wonderIfDirectoryEmpty](#wonderifdirectoryempty)
  - [wonderIfFileEmpty](#wonderiffileempty)
  - [wonderIfFileIsBinary](#wonderiffileisbinary)
- [System Commands](#system-commands)
  - [ClearScreen](#clearscreen)
  - [CurrentDir](#currentdir)
  - [GetGPULoad](#getgpuload)
  - [Shell](#shell)
  - [Term](#term)
  - [Terminal](#terminal)
  - [Terminal](#terminal)
  - [Terminal](#terminal)
  - [Welcome](#welcome)
  - [WonderContentGen](#wondercontentgen)
  - [WonderMyEnvironment](#wondermyenvironment)
  - [WonderToday](#wondertoday)
  - [commandsBridge](#commandsbridge)
  - [getCPULoad](#getcpuload)
  - [getCurrentDate](#getcurrentdate)
  - [getCurrentTime](#getcurrenttime)
  - [getCurrentUser](#getcurrentuser)
  - [getDiskInfo](#getdiskinfo)
  - [getDiskName](#getdiskname)
  - [getRAMInfo](#getraminfo)
  - [getSmartValues](#getsmartvalues)
  - [killProcess](#killprocess)
  - [listProcesses](#listprocesses)
  - [qzxVersion](#qzxversion)
  - [runScript](#runscript)
  - [systemInfo](#systeminfo)
  - [wonderCommandsAmount](#wondercommandsamount)
  - [wonderIfAdmin](#wonderifadmin)

## Dev Commands

### CreateDocTemplatePython

Command to generate documentation templates for Python code

**Category:** dev
**Description:** Creates basic documentation templates for Python code that lacks docstrings

**Parameters:**
- `file_path`: Path to the Python file to process - Required
- `style`: Documentation style (google, numpy, sphinx) - Optional (default: `google`)
- `overwrite`: Whether to overwrite existing docstrings - Optional (default: `False`)
- `preview`: Preview changes without modifying the file - Optional (default: `False`)

**Examples:**
- `qzx CreateDocTemplatePython myfile.py`
  Create Google-style documentation templates for myfile.py
- `qzx CreateDocTemplatePython myfile.py sphinx`
  Create Sphinx-style documentation templates for myfile.py
- `qzx CreateDocTemplatePython myfile.py google true false`
  Create Google-style documentation templates, overwriting existing ones
- `qzx CreateDocTemplatePython myfile.py google false true`
  Preview Google-style documentation templates without modifying the file

**Details:**
Generates documentation templates for Python code

Args:
    file_path (str): Path to the Python file to process
    style (str, optional): Documentation style (google, numpy, sphinx)
    overwrite (bool, optional): Whether to overwrite existing docstrings
    preview (bool, optional): Preview changes without modifying the file
    
Returns:
    Dictionary with the result of the operation

---

### analyzeComplexity

Command to analyze code complexity metrics for development environments

**Category:** dev
**Description:** Analyzes code complexity metrics for files or projects

**Parameters:**
- `file_path`: Path to the file or directory to analyze - Required
- `recursive`: Whether to recursively analyze directories - Optional (default: `False`)
- `format`: Output format: "detailed" or "summary" - Optional (default: `detailed`)

**Examples:**
- `qzx analyzeComplexity "main.py"`
  Analyze complexity of a single Python file
- `qzx analyzeComplexity "src/components" True`
  Recursively analyze all code files in a directory
- `qzx analyzeComplexity "project/" True "summary"`
  Generate a summary report for an entire project

**Details:**
Analyzes code complexity of files or directories

Args:
    file_path: Path to file or directory to analyze
    recursive: Whether to recursively analyze directories
    format: Output format (detailed or summary)
    
Returns:
    Analysis results as string

---

### compareFiles

Comando para comparar dos archivos y mostrar sus diferencias

**Category:** dev
**Description:** Compara dos archivos y muestra sus diferencias, útil para IDE

**Parameters:**
- `file1`: Ruta al primer archivo - Required
- `file2`: Ruta al segundo archivo - Required
- `mode`: Modo de comparación: "full" (completo), "summary" (resumen) o "percent" (porcentaje) - Optional (default: `full`)

**Examples:**
- `qzx compareFiles "archivo1.py" "archivo2.py"`
  Comparar dos archivos Python y mostrar todas las diferencias
- `qzx compareFiles "archivo1.txt" "archivo2.txt" "summary"`
  Mostrar un resumen de diferencias entre dos archivos de texto
- `qzx compareFiles "versión1.js" "versión2.js" "percent"`
  Mostrar el porcentaje de similitud entre dos archivos JavaScript

**Details:**
Compara dos archivos y muestra sus diferencias

Args:
    file1: Ruta al primer archivo
    file2: Ruta al segundo archivo
    mode: Modo de comparación (full, summary, percent)
    
Returns:
    Resultado de la comparación en el formato especificado

---


## Development Commands

### makeScaffProgramC

Command to generate a basic scaffolding for a C program.
Creates a new C project with standard directory structure and basic files.

**Category:** development
**Aliases:** `cScaff`, `newC`, `createC`
**Description:** Creates a basic scaffolding for a C program

**Parameters:**
- `project_name`: Name of the C project to create - Required
- `path`: Path where to create the project (default: current directory) - Optional (default: `.`)
- `with_tests`: Whether to include testing scaffolding - Optional (default: `true`)
- `build_system`: Build system to use (make, cmake, or none) - Optional (default: `make`)

**Examples:**
- `qzx makeScaffProgramC my_project`
  Creates a new C project with Makefile in the current directory
- `qzx makeScaffProgramC my_project /path/to/dir true cmake`
  Creates a new C project with CMake and tests in the specified directory
- `qzx cScaff network_tool . false none`
  Creates a C project without tests or build system in the current directory

**Details:**
Creates a basic scaffolding for a C program

Args:
    project_name (str): Name of the C project to create
    path (str): Path where to create the project
    with_tests (str): Whether to include testing scaffolding
    build_system (str): Build system to use (make, cmake, or none)
    
Returns:
    Dictionary with the operation results and status

---

### makeScaffProgramCpp

Command to generate a basic scaffolding for a C++ program.
Creates a new C++ project with standard directory structure and basic files.

**Category:** development
**Aliases:** `cppScaff`, `newCpp`, `createCpp`
**Description:** Creates a basic scaffolding for a C++ program

**Parameters:**
- `project_name`: Name of the C++ project to create - Required
- `path`: Path where to create the project (default: current directory) - Optional (default: `.`)
- `with_tests`: Whether to include testing scaffolding (using Catch2) - Optional (default: `true`)
- `build_system`: Build system to use (make, cmake, or none) - Optional (default: `cmake`)
- `cpp_standard`: C++ standard to use (11, 14, 17, 20) - Optional (default: `17`)

**Examples:**
- `qzx makeScaffProgramCpp my_project`
  Creates a new C++ project using CMake in the current directory
- `qzx makeScaffProgramCpp my_project /path/to/dir true make 20`
  Creates a new C++ project using Make, C++20 and tests in the specified directory
- `qzx cppScaff util_library . false none 17`
  Creates a C++ project without tests or build system in the current directory using C++17

**Details:**
Creates a basic scaffolding for a C++ program

Args:
    project_name (str): Name of the C++ project to create
    path (str): Path where to create the project
    with_tests (str): Whether to include testing scaffolding
    build_system (str): Build system to use (make, cmake, or none)
    cpp_standard (str): C++ standard to use (11, 14, 17, 20)
    
Returns:
    Dictionary with the operation results and status

---

### makeScaffProgramPython

Command to generate a basic scaffolding for a Python program.
Creates a new Python project with standard directory structure and basic files.

**Category:** development
**Aliases:** `pythonScaff`, `newPython`, `createPython`
**Description:** Creates a basic scaffolding for a Python program

**Parameters:**
- `project_name`: Name of the Python project to create - Required
- `path`: Path where to create the project (default: current directory) - Optional (default: `.`)
- `with_tests`: Whether to include test scaffolding (pytest) - Optional (default: `true`)
- `create_venv`: Whether to create a virtual environment - Optional (default: `false`)

**Examples:**
- `qzx makeScaffProgramPython my_project`
  Creates a new Python project named "my_project" in the current directory
- `qzx makeScaffProgramPython my_project /path/to/dir true true`
  Creates a new Python project with tests and virtual environment in the specified directory
- `qzx pythonScaff api_service . false`
  Creates a new Python project named "api_service" without tests in the current directory

**Details:**
Creates a basic scaffolding for a Python program

Args:
    project_name (str): Name of the Python project to create
    path (str): Path where to create the project
    with_tests (str): Whether to include test scaffolding
    create_venv (str): Whether to create a virtual environment
    
Returns:
    Dictionary with the operation results and status

---

### makeScaffProgramRust

Command to generate a basic scaffolding for a Rust program.
Creates a new Rust project with standard directory structure and basic files.

**Category:** development
**Aliases:** `rustScaff`, `newRust`, `createRust`
**Description:** Creates a basic scaffolding for a Rust program

**Parameters:**
- `project_name`: Name of the Rust project to create - Required
- `path`: Path where to create the project (default: current directory) - Optional (default: `.`)
- `binary`: Whether to create a binary application (true) or a library (false) - Optional (default: `true`)
- `with_tests`: Whether to include test scaffolding - Optional (default: `true`)

**Examples:**
- `qzx makeScaffProgramRust my_project`
  Creates a new Rust binary project named "my_project" in the current directory
- `qzx makeScaffProgramRust my_library false`
  Creates a new Rust library project named "my_library" in the current directory
- `qzx makeScaffProgramRust my_project /path/to/dir true false`
  Creates a new Rust binary project without tests in the specified directory

**Details:**
Creates a basic scaffolding for a Rust program

Args:
    project_name (str): Name of the Rust project to create
    path (str): Path where to create the project
    binary (str): Whether to create a binary application (true) or a library (false)
    with_tests (str): Whether to include test scaffolding
    
Returns:
    Dictionary with the operation results and status

---


## File Commands

### changePermissions

Command to change file or directory permissions (similar to chmod)

**Category:** file
**Description:** Changes permissions of a file or directory

**Parameters:**
- `path`: Path to the file or directory - Required
- `mode`: Permission mode in octal (e.g., 755) or string format (e.g., "a+x") - Required
- `recursive`: Whether to apply permissions recursively to directories - Optional (default: `False`)

**Examples:**
- `qzx changePermissions myfile.txt 644`
  Change file permissions to 644 (rw-r--r--)
- `qzx changePermissions myscript.sh "a+x"`
  Make a script executable for all users
- `qzx changePermissions mydir 755 true`
  Change directory permissions recursively

**Details:**
Changes permissions of a file or directory

Args:
    path (str): Path to the file or directory
    mode (str/int): Permission mode in octal (e.g., 755) or string format (e.g., "a+x")
    recursive (bool, optional): Whether to apply permissions recursively to directories
    
Returns:
    Operation result

---

### copyFile

Command to copy a file or directory

**Category:** file
**Description:** Copies a file or directory from source to destination

**Parameters:**
- `source`: Path to the source file or directory - Required
- `destination`: Path to the destination file or directory - Required
- `force`: Whether to overwrite the destination if it exists - Optional (default: `False`)

**Examples:**
- `qzx copyFile source.txt destination.txt`
  Copy a file to another file
- `qzx copyFile myfile.txt backup/myfile.txt`
  Copy a file to a directory
- `qzx copyFile sourcedir destinationdir true`
  Copy a directory recursively and overwrite if exists

**Details:**
Copies a file or directory

Args:
    source (str): Path to the source file or directory
    destination (str): Path to the destination file or directory
    force (bool, optional): Whether to overwrite the destination if it exists
    
Returns:
    Success message or error

---

### countLinesInFile

Command to count the number of lines in files with support for wildcards and recursive searching

**Category:** file
**Description:** Counts the number of lines in files with support for wildcards and recursive searching

**Parameters:**
- `file_path`: Path to the file(s) to count lines in. Supports wildcards like "*.py" - Required
- `recursive`: Recursion level: -r/--recursive for unlimited depth, -rN/--recursiveN for N levels deep - Optional
- `ignore_empty`: Whether to ignore empty lines when counting - Optional (default: `False`)

**Examples:**
- `qzx countLinesInFile "script.py"`
  Count the number of lines in a Python script
- `qzx countLinesInFile "data/logs.txt"`
  Count the number of lines in a log file
- `qzx countLinesInFile "*.py"`
  Count the number of lines in all Python files in the current directory
- `qzx countLinesInFile "src/**/*.js" true`
  Count the number of lines in all JavaScript files in the src directory and its subdirectories
- `qzx countLinesInFile "*.txt" false true`
  Count the number of non-empty lines in all text files in the current directory

**Details:**
Counts the number of lines in files with support for wildcards and recursive searching

Args:
    file_path: Path to the file(s) to count lines in. Supports wildcards like "*.py"
    recursive: Recursion level: none by default, -r/--recursive for unlimited, -rN/--recursiveN for N levels
    ignore_empty: Whether to ignore empty lines when counting
    
Returns:
    Dictionary with line count results or error message

---

### createDirectory

Command to create one or more directories at specified paths

**Category:** file
**Description:** Creates one or more directories at specified paths

**Parameters:**
- `directory_paths`: One or more paths where directories should be created - Required

**Examples:**
- `qzx createDirectory "ProjectFolder"`
  Create a single directory named "ProjectFolder"
- `qzx createDirectory "src/components" "src/styles" "src/utils"`
  Create multiple directories for a project structure

**Details:**
Creates one or more directories at the specified paths

Args:
    *directory_paths: One or more paths where directories should be created
    
Returns:
    String with results of directory creation attempts

---

### deleteFile

Command to delete a file or directory

**Category:** file
**Description:** Deletes a file or directory from the filesystem

**Parameters:**
- `target`: Path to the file or directory to delete - Required
- `recursive`: For directories: -r/--recursive for removal, -rN/--recursiveN for N levels deep - Optional
- `force`: Whether to ignore errors - Optional (default: `False`)

**Examples:**
- `qzx deleteFile myfile.txt`
  Delete a file
- `qzx deleteFile mydir -r`
  Delete a directory and its contents recursively
- `qzx deleteFile mydir -r2`
  Delete a directory and contents up to 2 levels deep
- `qzx deleteFile mydir false true`
  Try to delete an empty directory, ignoring errors

**Details:**
Deletes a file or directory

Args:
    target (str): Path to the file or directory to delete
    recursive: Recursion level: none by default, -r/--recursive for unlimited, -rN/--recursiveN for N levels
    force (bool, optional): Whether to ignore errors
    
Returns:
    Operation result

---

### downloadFile

Command to download a file from the Internet

**Category:** file
**Description:** Downloads a file from the Internet (similar to 'wget' or 'curl' in Unix)

**Parameters:**
- `url`: URL of the file to download - Required
- `destination_path`: Path where to save the downloaded file - Required
- `show_progress`: Whether to show download progress - Optional (default: `True`)
- `timeout`: Maximum wait time in seconds - Optional (default: `30`)

**Examples:**
- `qzx downloadFile https://example.com/file.txt downloads/file.txt`
  Download a sample file
- `qzx downloadFile https://example.com/file.zip downloads/file.zip false`
  Download a file without showing progress
- `qzx downloadFile https://example.com/large-file.iso downloads/file.iso true 120`
  Download a large file with extended timeout

**Details:**
Downloads a file from the Internet

Args:
    url (str): URL of the file to download
    destination_path (str): Path where to save the downloaded file
    show_progress (bool, optional): Whether to show download progress
    timeout (int, optional): Maximum wait time in seconds
    
Returns:
    Operation result

---

### findFiles

Command for advanced file searching with multiple filtering options

**Category:** file
**Description:** Advanced file search with multiple filtering options (like find + grep combined)

**Parameters:**
- `search_path`: Path to start the search from - Optional (default: `.`)
- `pattern`: File name pattern to search for (supports glob syntax: *.txt, data-???.csv) - Optional (default: `*`)
- `recursive`: Recursion level: -r/--recursive for unlimited depth, -rN/--recursiveN for N levels deep - Optional (default: `-r`)
- `max_depth`: Maximum directory depth to search (null for unlimited) - Optional
- `type`: Filter by type: "f" (files), "d" (directories), or "l" (links) - Optional
- `size`: Filter by size (e.g., +1M for >1MB, -500K for <500KB, 10K for exactly 10KB) - Optional
- `min_size`: Minimum file size in bytes or with KB/MB/GB suffix - Optional
- `max_size`: Maximum file size in bytes or with KB/MB/GB suffix - Optional
- `mtime`: Filter by modification time (e.g., +7 for >7 days old, -2 for <2 days old) - Optional
- `newer_than`: Files newer than specified date (YYYY-MM-DD) or "today", "yesterday" - Optional
- `older_than`: Files older than specified date (YYYY-MM-DD) or "today", "yesterday" - Optional
- `contains`: Only include files containing this text - Optional
- `contains_regex`: Only include files matching this regex pattern - Optional
- `case_sensitive`: Make content searches case sensitive (true/false) - Optional (default: `False`)
- `exclude`: Exclude file/directory patterns (comma-separated: *.bak,*.tmp) - Optional
- `exclude_dir`: Exclude directory patterns (comma-separated: .git,.vscode) - Optional
- `follow_symlinks`: Follow symbolic links (true/false) - Optional (default: `False`)
- `sort_by`: Sort by: name, path, size, mtime (modification time), or none - Optional (default: `path`)
- `reverse_sort`: Reverse the sorting order (true/false) - Optional (default: `False`)
- `format`: Output format: "full" (default), "name" (filename only), "detailed" (full details), "json", "csv" - Optional (default: `full`)
- `limit`: Maximum number of results to return - Optional

**Examples:**
- `qzx findFiles . *.py`
  Find all Python files in current directory and subdirectories
- `qzx findFiles /src *.js false`
  Find all JavaScript files in /src without searching subdirectories
- `qzx findFiles . * true 2 f`
  Find all files up to 2 levels deep
- `qzx findFiles . *.txt null f +1M`
  Find all text files larger than 1MB
- `qzx findFiles . * null null null null null null -7`
  Find files modified within the last 7 days
- `qzx findFiles . *.log null null null null null today null`
  Find log files created or modified today
- `qzx findFiles . *.py null null null null null null null TODO`
  Find Python files containing the word "TODO"
- `qzx findFiles . * null null null null null null null null "def\s+\w+"`
  Find files containing function definitions using regex
- `qzx findFiles . * null null null null null null null null null false "*.tmp,*.bak"`
  Find all files excluding temp and backup files
- `qzx findFiles . * true null null null null null null null null null null .git,node_modules`
  Find all files excluding .git and node_modules directories

**Details:**
Advanced file search with multiple filtering options

Args:
    search_path (str): Path to start the search from
    pattern (str): File name pattern to search for (supports glob syntax)
    recursive: Recursion level: -r/--recursive for unlimited depth, -rN/--recursiveN for N levels deep
    max_depth (int): Maximum directory depth to search (None for unlimited)
    type (str): Filter by type: "f" (files), "d" (directories), or "l" (links)
    size (str): Filter by size (e.g., +1M for >1MB, -500K for <500KB)
    min_size (str): Minimum file size in bytes or with KB/MB/GB suffix
    max_size (str): Maximum file size in bytes or with KB/MB/GB suffix
    mtime (str): Filter by modification time (e.g., +7 for >7 days old)
    newer_than (str): Files newer than specified date (YYYY-MM-DD)
    older_than (str): Files older than specified date (YYYY-MM-DD)
    contains (str): Only include files containing this text
    contains_regex (str): Only include files matching this regex pattern
    case_sensitive (bool): Make content searches case sensitive
    exclude (str): Exclude file/directory patterns (comma-separated)
    exclude_dir (str): Exclude directory patterns (comma-separated)
    follow_symlinks (bool): Follow symbolic links
    sort_by (str): Sort by: name, path, size, mtime, or none
    reverse_sort (bool): Reverse the sorting order
    format (str): Output format: "full", "name", "detailed", "json", "csv"
    limit (int): Maximum number of results to return
    
Returns:
    Search results based on specified format

---

### findLargeFiles

Command to find files of specified type exceeding a minimum size

**Category:** file
**Description:** Searches for files with specific extensions that exceed a given size

**Parameters:**
- `directory`: Base directory to start the search from - Required
- `extension`: File extension to filter by (e.g., "*.pas", "*.txt") - Required
- `min_size`: Minimum file size in bytes - Required
- `recursive`: Recursion level: -r/--recursive for unlimited depth, -rN/--recursiveN for N levels deep - Optional (default: `-r`)
- `sort_by`: Sort results by: "name", "size", "date" - Optional (default: `size`)

**Examples:**
- `qzx findLargeFiles . *.pas 300`
  Find all .pas files in current directory larger than 300 bytes
- `qzx findLargeFiles src *.py 1024 true`
  Find all .py files in src directory and subdirectories larger than 1KB
- `qzx findLargeFiles project *.js 5000 false name`
  Find all .js files (non-recursive) larger than 5KB, sorted by name

**Details:**
Find large files in a directory matching the given criteria

Args:
    directory (str): Directory to search in
    extension (str): File extension to filter by (e.g., 'jpg' or '.jpg')
    min_size (str): Minimum file size (e.g., '1MB', '500KB')
    recursive: Recursion level: none by default, -r/--recursive for unlimited, -rN/--recursiveN for N levels
    sort_by (str): Sort criteria ('size', 'name', or 'date')
    
Returns:
    Dictionary with search results

---

### findText

Command to search for text patterns in files with advanced options

**Category:** file
**Description:** Searches for text patterns in files with advanced filtering options

**Parameters:**
- `pattern`: Text pattern to search for (supports regular expressions) - Required
- `target`: File or directory (or space-separated list of files/directories) to search in - Required
- `recursive`: Recursion level: -r/--recursive for unlimited depth, -rN/--recursiveN for N levels deep - Optional
- `regex`: Use regular expressions for pattern matching (true/false) - Optional (default: `False`)
- `case_sensitive`: Perform case-sensitive search (true/false) - Optional (default: `True`)
- `file_pattern`: Only search in files matching this pattern (e.g., "*.py" or "*.{py,js}") - Optional (default: `*`)
- `context_lines`: Number of lines to show before and after each match - Optional (default: `0`)
- `invert_match`: Show lines that do NOT match the pattern (true/false) - Optional (default: `False`)
- `count_only`: Only show count of matches per file (true/false) - Optional (default: `False`)
- `max_matches`: Maximum number of matches to display (0 for unlimited) - Optional (default: `0`)
- `colored`: Highlight matches with color (true/false) - Optional (default: `True`)

**Examples:**
- `qzx findText "function" "script.js"`
  Find all occurrences of "function" in a JavaScript file
- `qzx findText "error" "logs" true`
  Find all occurrences of "error" in all files under logs directory
- `qzx findText "def\s+\w+" "src" true true`
  Find all function definitions in Python files using regex
- `qzx findText "WARNING|ERROR" "logs" true true false "*.log"`
  Find warnings or errors in log files
- `qzx findText "TODO" "src" true false true "*.{py,js,ts}" 2`
  Find TODOs in source files with 2 lines of context
- `qzx findText "function" "file1.js file2.js lib/utils.js"`
  Find all occurrences of "function" in multiple specific files

**Details:**
Searches for text patterns in files with advanced options

Args:
    pattern (str): Text pattern to search for
    target (str): File or directory to search in (space-separated for multiple)
    recursive: Recursion level: none by default, -r/--recursive for unlimited, -rN/--recursiveN for N levels
    regex (bool): Whether to use regular expressions for pattern matching
    case_sensitive (bool): Whether the search should be case-sensitive
    file_pattern (str): Only search in files matching this pattern (e.g., "*.py")
    context_lines (int): Number of lines to show before and after each match
    invert_match (bool): Show lines that do NOT match the pattern
    count_only (bool): Only show count of matches per file
    max_matches (int): Maximum number of matches to display (0 for unlimited)
    colored (bool): Whether to colorize the output
    
Returns:
    Dictionary with search results

---

### getHumanLanguageStatsFromFile

Command to analyze a file or multiple files and determine the percentage of text in different languages,
intelligently filtering out programming code. Supports wildcards and recursive directory search.

**Category:** file
**Description:** Analyzes files to determine the percentage of text in different languages. Supports wildcards and recursive directory search.

**Parameters:**
- `file_path`: Path to the file(s) to analyze. Supports wildcards like *.txt - Required
- `ignore_comments`: Whether to ignore code comments when analyzing text - Optional (default: `False`)
- `min_word_length`: Minimum length of words to consider for language detection - Optional (default: `4`)
- `languages`: Comma-separated list of languages to detect (default: all available) - Optional
- `recursive`: Whether to search recursively in directories - Optional (default: `False`)

**Examples:**
- `qzx getHumanLanguageStatsFromFile myfile.txt`
  Analyze language distribution in a text file
- `qzx getHumanLanguageStatsFromFile code.py true`
  Analyze a Python file, ignoring code comments
- `qzx getHumanLanguageStatsFromFile "*.md" false 3`
  Analyze all Markdown files in current directory
- `qzx getHumanLanguageStatsFromFile "docs/*.txt" false 3 "english,spanish,french"`
  Analyze text files in docs directory for specific languages only
- `qzx getHumanLanguageStatsFromFile "src/**/*.py" true 4 null true`
  Analyze all Python files recursively in src directory

**Details:**
Analyzes one or more files to determine the percentage of text in different languages.
Supports wildcards and recursive directory search.

Args:
    file_path (str): Path to the file(s) to analyze. Supports wildcards like *.txt
    ignore_comments (bool, optional): Whether to ignore code comments when analyzing text
    min_word_length (int, optional): Minimum length of words to consider for language detection
    languages (str, optional): Comma-separated list of languages to detect
    recursive (bool, optional): Whether to search recursively in directories
    
Returns:
    Operation result with language statistics for each file and aggregated stats

---

### getProgrammingLanguageStatsFromFile

Command to identify programming language in one or more files and get code statistics.
Supports wildcards and recursive directory searching.

**Category:** file
**Description:** Analyzes files to determine the programming language and provides statistics about the code. Supports wildcards and recursive directory search.

**Parameters:**
- `file_path`: Path to the file(s) to analyze. Supports wildcards like *.py - Required
- `detailed`: Whether to provide detailed statistics - Optional (default: `False`)
- `languages`: Comma-separated list of languages to detect (default: all available) - Optional
- `recursive`: Recursion level: -r/--recursive for unlimited depth, -rN/--recursiveN for N levels deep - Optional

**Examples:**
- `qzx getProgrammingLanguageStatsFromFile script.py`
  Analyze a Python file to determine language statistics
- `qzx getProgrammingLanguageStatsFromFile app.js true`
  Analyze a JavaScript file with detailed statistics
- `qzx getProgrammingLanguageStatsFromFile code.cpp false "cpp,c,python"`
  Analyze a C++ file specifically checking for C++, C and Python patterns
- `qzx getProgrammingLanguageStatsFromFile "*.js" false null -r`
  Analyze all JavaScript files in current directory and all subdirectories
- `qzx getProgrammingLanguageStatsFromFile "src/**/*.py" -r`
  Analyze all Python files in src directory and subdirectories with detailed stats
- `qzx getProgrammingLanguageStatsFromFile "*.py" true null -r2`
  Analyze all Python files in current directory and up to 2 levels of subdirectories with detailed stats

**Details:**
Analyzes one or more files to determine programming language and code statistics.
Supports wildcards and recursive directory search.

Args:
    file_path (str): Path to the file(s) to analyze. Supports wildcards like *.py
    detailed (bool, optional): Whether to include detailed statistics
    languages (str, optional): Comma-separated list of languages to detect
    recursive: Recursion level: none by default, -r/--recursive for unlimited, -rN/--recursiveN for N levels
    
Returns:
    Dictionary with analysis results for each file and aggregated statistics

---

### listFiles

Command to list files in a directory with support for wildcards and recursive searching

**Category:** file
**Description:** Lists files in a directory with support for wildcards and recursive searching

**Parameters:**
- `directory_path`: Path to the directory to list files from - Optional (default: `.`)
- `pattern`: File pattern to filter by (e.g., "*.txt", "doc*.pdf") - Optional (default: `*`)
- `recursive`: Recursion level: none by default, -r/--recursive for unlimited depth, -rN/--recursiveN for N levels deep - Optional

**Examples:**
- `qzx listFiles`
  List all files in the current directory
- `qzx listFiles C:\Documents`
  List all files in the C:\Documents directory (Windows)
- `qzx listFiles /home/user/documents`
  List all files in the /home/user/documents directory (Linux/Mac)
- `qzx listFiles . "*.py"`
  List all Python files in the current directory
- `qzx listFiles src "*.js" -r`
  List all JavaScript files in the src directory and all its subdirectories
- `qzx listFiles src "*.js" -r2`
  List all JavaScript files in the src directory and up to 2 levels of subdirectories

**Details:**
Lists files in a directory with support for wildcards and recursive searching

Args:
    directory_path (str): Path to the directory to list files from
    pattern (str): File pattern to filter by (e.g., "*.txt", "doc*.pdf")
    recursive: Recursion level: none by default, -r/--recursive for unlimited, -rN/--recursiveN for N levels
    
Returns:
    Dictionary with the list of files and metadata

---

### moveFile

Command to move or rename a file or directory

**Category:** file
**Description:** Moves or renames a file or directory from source to destination

**Parameters:**
- `source`: Path to the source file or directory - Required
- `destination`: Path to the destination file or directory - Required
- `force`: Whether to overwrite the destination if it exists - Optional (default: `False`)

**Examples:**
- `qzx moveFile source.txt destination.txt`
  Move a file to another (or rename it)
- `qzx moveFile myfile.txt archive/myfile.txt`
  Move a file to a directory
- `qzx moveFile sourcedir destinationdir true`
  Move a directory and overwrite if exists

**Details:**
Moves or renames a file or directory

Args:
    source (str): Path to the source file or directory
    destination (str): Path to the destination file or directory
    force (bool, optional): Whether to overwrite the destination if it exists
    
Returns:
    Operation result

---

### readFile

Command to read and display the content of a file

**Category:** file
**Description:** Reads and displays the content of a file

**Parameters:**
- `file_path`: Path to the file to read - Required
- `max_lines`: Maximum number of lines to read (if not provided, reads the entire file) - Optional

**Examples:**
- `qzx readFile myfile.txt`
  Read the entire content of myfile.txt
- `qzx readFile myfile.txt 10`
  Read the first 10 lines of myfile.txt
- `qzx readFile "path with spaces/myfile.txt"`
  Read a file with spaces in the path

**Details:**
Reads and displays the content of a file

Args:
    file_path (str): Path to the file to read
    max_lines (int, optional): Maximum number of lines to read. If not provided, reads the entire file.
    
Returns:
    Dictionary with file content and metadata

---

### touchFile

Command to create an empty file or update the timestamp of an existing file

**Category:** file
**Description:** Creates an empty file or updates the timestamp of an existing file

**Parameters:**
- `path`: Path to the file to create or update - Required
- `create_dirs`: Whether to create parent directories if they do not exist - Optional (default: `False`)
- `content`: Content to write to the file - Optional (default: ``)

**Examples:**
- `qzx touchFile newfile.txt`
  Create an empty file or update its timestamp
- `qzx touchFile dir/newfile.txt true`
  Create a file and its parent directories if they do not exist
- `qzx touchFile file.txt false "Hello World"`
  Create a file with content or update an existing file

**Details:**
Creates an empty file or updates the timestamp of an existing file

Args:
    path (str): Path to the file to create or update
    create_dirs (bool, optional): Whether to create parent directories if they do not exist
    content (str, optional): Content to write to the file
    
Returns:
    Operation result

---

### wonderFileTypeMagic

Command to identify file type based on its magic number (file signature)

**Category:** file
**Description:** Identifies file type based on its magic number (file signature) rather than extension

**Parameters:**
- `file_path`: Path to the file to analyze - Required
- `detailed_info`: Whether to show detailed MIME type information - Optional (default: `False`)

**Examples:**
- `qzx wonderFileTypeMagic image.jpg`
  Identify the real type of image.jpg based on its contents
- `qzx wonderFileTypeMagic unknown.bin true`
  Identify an unknown file with detailed MIME information

**Details:**
Identifies file type based on its magic number

Args:
    file_path (str): Path to the file to analyze
    detailed_info (bool): Whether to include detailed MIME type information
    
Returns:
    Dictionary with the result of the analysis

---

### wonderIfDirectoryEmpty

Command to check if a directory is empty

**Category:** file
**Description:** Checks if a directory is empty (contains no files or subdirectories)

**Parameters:**
- `directory_path`: Path to the directory to check - Required
- `include_hidden`: Whether to include hidden files in the check - Optional (default: `False`)

**Examples:**
- `qzx wonderIfDirectoryEmpty /path/to/directory`
  Check if /path/to/directory is empty, ignoring hidden files
- `qzx wonderIfDirectoryEmpty /path/to/directory true`
  Check if /path/to/directory is empty, including hidden files

**Details:**
Checks if a directory is empty

Args:
    directory_path (str): Path to the directory to check
    include_hidden (bool, optional): Whether to include hidden files in the check
    
Returns:
    Dictionary with the result of the check

---

### wonderIfFileEmpty

Command to check if a file is empty (has zero bytes)

**Category:** file
**Description:** Checks if a file is empty (has zero bytes)

**Parameters:**
- `file_path`: Path to the file to check - Required
- `consider_whitespace`: Whether to consider whitespace-only files as empty - Optional (default: `False`)

**Examples:**
- `qzx wonderIfFileEmpty /path/to/file.txt`
  Check if file.txt is completely empty (zero bytes)
- `qzx wonderIfFileEmpty /path/to/file.txt true`
  Check if file.txt is empty or contains only whitespace

**Details:**
Checks if a file is empty

Args:
    file_path (str): Path to the file to check
    consider_whitespace (bool, optional): Whether to consider whitespace-only files as empty
    
Returns:
    Dictionary with the result of the check

---

### wonderIfFileIsBinary

Command to check if a file is binary or plain text

**Category:** file
**Description:** Analyzes a file to determine if it's binary or plain text

**Parameters:**
- `file_path`: Path to the file to analyze - Required
- `sample_size`: Size of the file sample to analyze (in bytes) - Optional (default: `8192`)
- `binary_threshold`: Percentage of non-text bytes required to classify as binary - Optional (default: `10`)

**Examples:**
- `qzx wonderIfFileIsBinary script.py`
  Check if script.py is a binary file
- `qzx wonderIfFileIsBinary image.jpg`
  Check if image.jpg is a binary file
- `qzx wonderIfFileIsBinary unknown.dat 4096 5`
  Check if unknown.dat is binary, using a 4KB sample and 5% threshold

**Details:**
Checks if a file is binary or plain text

Args:
    file_path (str): Path to the file to analyze
    sample_size (int): Size of the file sample to analyze (in bytes)
    binary_threshold (int): Percentage of non-text bytes required to classify as binary
    
Returns:
    Dictionary with the result of the analysis

---


## System Commands

### ClearScreen

Command to clear the terminal screen

**Category:** system
**Aliases:** `cls`, `clear`, `clrscr`
**Description:** Clears the terminal screen

**Parameters:**
None

**Examples:**
- `qzx ClearScreen`
  Clear the terminal screen
- `qzx cls`
  Clear the terminal screen (using alias)

**Details:**
Clear the terminal screen

Returns:
    Dictionary with the operation result

---

### CurrentDir

Command to show the current directory where QZX is running

**Category:** system
**Aliases:** `pwd`, `cwd`, `dir`, `where`, `location`
**Description:** Shows the current working directory

**Parameters:**
- `full`: Show full path (true) or relative path (false) - Optional (default: `true`)

**Examples:**
- `qzx CurrentDir`
  Shows the full current working directory
- `qzx pwd`
  Alias that shows the current working directory
- `qzx dir false`
  Shows only the current directory name without the full path

**Details:**
Shows the current directory where QZX is running

Args:
    full (str, optional): Show full path ('true') or just the directory name ('false')
    
Returns:
    Dictionary with the operation result and status

---

### GetGPULoad

Command to get information about GPUs in the system

**Category:** system
**Aliases:** `gpuload`, `gpuinfo`, `gpustatus`
**Description:** Displays information about GPUs in the system

**Parameters:**
- `detailed`: Show detailed information (true/false) - Optional (default: `false`)

**Examples:**
- `qzx GetGPULoad`
  Display basic information about the GPUs
- `qzx GetGPULoad true`
  Display detailed information about the GPUs

**Details:**
Retrieves information about the GPUs in the system

Args:
    detailed (str): Whether to show detailed information (true/false)
    
Returns:
    Dictionary with GPU information and status

---

### Shell

Shell command - Alias for the Terminal command
This is just a compatibility wrapper that redirects to the Terminal command

**Category:** system
**Aliases:** `Terminal`, `Console`, `REPL`
**Description:** Launches an interactive shell for QZX commands (alias for Terminal)

**Parameters:**
- `prompt`: Custom prompt for the terminal (default: "QZX> ") - Optional (default: `QZX> `)
- `history_file`: Path to history file (default: ~/.qzx_history) - Optional (default: `C:\Users\alesanGreat/.qzx_history`)
- `show_path`: Show path in the prompt (default: true) - Optional (default: `true`)

**Examples:**
- `qzx Shell`
  Launch the QZX interactive shell with default settings
- `qzx Shell "MyQZX> "`
  Launch the QZX shell with a custom prompt

**Details:**
Execute the Shell command by redirecting to Terminal

Args:
    *args: Arguments to pass to Terminal
    **kwargs: Keyword arguments to pass to Terminal
    
Returns:
    Result from the Terminal command

---

### Term

Term command - Special alias for Terminal with various case variants
This command ensures the terminal can be started regardless of capitalization

**Category:** system
**Aliases:** `terminal`, `Terminal`, `TERMINAL`, `shell`, `Shell`, `SHELL`, `console`, `Console`, `CONSOLE`, `repl`, `REPL`, `Repl`, `term`, `TERM`
**Description:** Launches an interactive QZX terminal (case-insensitive alias)

**Parameters:**
- `prompt`: Custom prompt for the terminal (default: "QZX> ") - Optional (default: `QZX> `)
- `history_file`: Path to history file (default: ~/.qzx_history) - Optional (default: `C:\Users\alesanGreat/.qzx_history`)
- `show_path`: Show path in the prompt (default: true) - Optional (default: `true`)

**Examples:**
- `qzx term`
  Launch the QZX interactive terminal (case-insensitive)
- `qzx terminal`
  Also launches the QZX terminal (lowercase variant)

**Details:**
Execute the Term command by redirecting to Terminal

Args:
    *args: Arguments to pass to Terminal
    **kwargs: Keyword arguments to pass to Terminal
    
Returns:
    Result from the Terminal command

---

### Terminal

Interactive terminal/shell for QZX commands

**Category:** system
**Aliases:** `terminal`, `TERMINAL`, `Shell`, `shell`, `SHELL`, `Console`, `console`, `CONSOLE`, `REPL`, `repl`
**Description:** Launches an interactive terminal/shell for QZX commands

**Parameters:**
- `prompt`: Custom prompt for the terminal (default: "QZX> ") - Optional (default: `QZX> `)
- `history_file`: Path to history file (default: ~/.qzx_history) - Optional (default: `C:\Users\alesanGreat/.qzx_history`)
- `show_path`: Show path in the prompt (default: true) - Optional (default: `true`)

**Examples:**
- `qzx Terminal`
  Launch the QZX interactive terminal with default settings
- `qzx Shell`
  Launch the QZX interactive terminal using the Shell alias
- `qzx Terminal "MyQZX> "`
  Launch the QZX terminal with a custom prompt
- `qzx Terminal "QZX> " ~/.qzx_history false`
  Launch the QZX terminal without showing path in prompt

**Details:**
Launch an interactive terminal for QZX commands

Args:
    prompt (str, optional): Custom prompt for the terminal
    history_file (str, optional): Path to history file
    show_path (str, optional): Whether to show path in prompt ('true' or 'false')
    
Returns:
    Dictionary with the result of the operation

---

### Terminal

Interactive terminal/shell for QZX commands

**Category:** system
**Aliases:** `terminal`, `TERMINAL`, `Shell`, `shell`, `SHELL`, `Console`, `console`, `CONSOLE`, `REPL`, `repl`
**Description:** Launches an interactive terminal/shell for QZX commands

**Parameters:**
- `prompt`: Custom prompt for the terminal (default: "QZX> ") - Optional (default: `QZX> `)
- `history_file`: Path to history file (default: ~/.qzx_history) - Optional (default: `C:\Users\alesanGreat/.qzx_history`)
- `show_path`: Show path in the prompt (default: true) - Optional (default: `true`)

**Examples:**
- `qzx Terminal`
  Launch the QZX interactive terminal with default settings
- `qzx Shell`
  Launch the QZX interactive terminal using the Shell alias
- `qzx Terminal "MyQZX> "`
  Launch the QZX terminal with a custom prompt
- `qzx Terminal "QZX> " ~/.qzx_history false`
  Launch the QZX terminal without showing path in prompt

**Details:**
Launch an interactive terminal for QZX commands

Args:
    prompt (str, optional): Custom prompt for the terminal
    history_file (str, optional): Path to history file
    show_path (str, optional): Whether to show path in prompt ('true' or 'false')
    
Returns:
    Dictionary with the result of the operation

---

### Terminal

Interactive terminal/shell for QZX commands

**Category:** system
**Aliases:** `terminal`, `TERMINAL`, `Shell`, `shell`, `SHELL`, `Console`, `console`, `CONSOLE`, `REPL`, `repl`
**Description:** Launches an interactive terminal/shell for QZX commands

**Parameters:**
- `prompt`: Custom prompt for the terminal (default: "QZX> ") - Optional (default: `QZX> `)
- `history_file`: Path to history file (default: ~/.qzx_history) - Optional (default: `C:\Users\alesanGreat/.qzx_history`)
- `show_path`: Show path in the prompt (default: true) - Optional (default: `true`)

**Examples:**
- `qzx Terminal`
  Launch the QZX interactive terminal with default settings
- `qzx Shell`
  Launch the QZX interactive terminal using the Shell alias
- `qzx Terminal "MyQZX> "`
  Launch the QZX terminal with a custom prompt
- `qzx Terminal "QZX> " ~/.qzx_history false`
  Launch the QZX terminal without showing path in prompt

**Details:**
Launch an interactive terminal for QZX commands

Args:
    prompt (str, optional): Custom prompt for the terminal
    history_file (str, optional): Path to history file
    show_path (str, optional): Whether to show path in prompt ('true' or 'false')
    
Returns:
    Dictionary with the result of the operation

---

### Welcome

Command to display the system welcome information

**Category:** system
**Aliases:** `welcome`, `hello`, `hi`
**Description:** Displays the welcome screen with system information

**Parameters:**
- `full_info`: Show full system information (true/false) - Optional (default: `true`)

**Examples:**
- `qzx Welcome`
  Display the welcome screen with full system information
- `qzx Welcome false`
  Display the basic welcome screen without detailed information

**Details:**
Display the welcome screen with system information

Args:
    full_info (str): Whether to show full information ('true' or 'false')
    
Returns:
    Dictionary with the operation result

---

### WonderContentGen

Command to analyze and explain file contents using Gemini AI

**Category:** system
**Aliases:** `explainfile`, `aianalyze`, `analyzeContent`
**Description:** Uses Gemini AI to analyze and explain file contents

**Parameters:**
- `file_path`: Path to the file to analyze - Required
- `sample_size`: Number of characters to sample from beginning, middle, and end (default: 500) - Optional (default: `500`)
- `model`: Gemini model to use (default: auto-select from available models) - Optional (default: ``)
- `custom_prompt`: Custom prompt to send to Gemini (default: uses internal prompt) - Optional (default: ``)

**Examples:**
- `qzx WonderContentGen "path/to/file.txt"`
  Analyze and explain the content of file.txt using Gemini AI
- `qzx WonderContentGen "path/to/file.txt" 1000`
  Explain file content using 1000 characters from each section
- `qzx WonderContentGen "path/to/file.txt" 500 "gemini-1.5-pro"`
  Use a specific Gemini model for analysis
- `qzx WonderContentGen "path/to/file.txt" 500 "" "What programming language is this?"`
  Ask Gemini a specific question about the file content

**Details:**
Analyze and explain file contents using Gemini AI

Args:
    file_path (str): Path to the file to analyze
    sample_size (str): Number of characters to sample from beginning, middle, and end
    model (str): Gemini model to use (if empty, will auto-select)
    custom_prompt (str): Custom prompt to send to Gemini
    
Returns:
    Dictionary with the operation result

---

### WonderMyEnvironment

Command to display detailed system environment information

**Category:** system
**Aliases:** `environment`, `sysinfo`, `systeminfo`
**Description:** Displays detailed information about the system environment

**Parameters:**
- `detailed`: Show additional detailed information (true/false) - Optional (default: `true`)

**Examples:**
- `qzx WonderMyEnvironment`
  Display full system environment information
- `qzx WonderMyEnvironment false`
  Display basic system environment information

**Details:**
Display detailed system environment information

Args:
    detailed (str): Whether to show detailed information ('true' or 'false')
    
Returns:
    Dictionary with the operation result

---

### WonderToday

Command to display detailed date and time information

**Category:** system
**Aliases:** `today`, `now`, `datetime`, `fecha`
**Description:** Displays detailed information about the current date and time

**Parameters:**
- `format`: Output format (full, simple, or iso) - Optional (default: `full`)

**Examples:**
- `qzx WonderToday`
  Display full date and time information
- `qzx WonderToday simple`
  Display date and time in a simple format
- `qzx WonderToday iso`
  Display date and time in ISO format

**Details:**
Display detailed date and time information

Args:
    format (str): Output format (full, simple, or iso)
    
Returns:
    Dictionary with the operation result

---

### commandsBridge

Command to serve as a middleware for system commands.
This bridge safely handles the execution of system commands, preventing errors from causing problems.

**Category:** system
**Aliases:** `bridge`, `cmd`, `run`
**Description:** Safely executes system commands with detailed feedback

**Parameters:**
- `command`: The system command to execute - Required
- `args`: Arguments for the command (can be multiple separate arguments) - Optional (default: ``)

**Examples:**
- `qzx commandsBridge cd /path/to/directory`
  Changes the current directory to the specified path
- `qzx bridge pwd`
  Shows the current working directory
- `qzx cmd ls -la`
  Lists files in the current directory with details
- `qzx run echo "Hello World"`
  Outputs "Hello World" to the console

**Details:**
Safely executes a system command

Args:
    command (str): The command to execute
    args (str): Arguments for the command
    
Returns:
    Dictionary with the operation results and status

---

### getCPULoad

Command to get CPU load information

**Category:** system
**Description:** Gets information about current CPU usage

**Parameters:**
- `interval`: Time interval (in seconds) to calculate CPU usage - Optional (default: `1`)

**Examples:**
- `qzx getCPULoad`
  Get CPU usage information with 1-second interval
- `qzx getCPULoad 0.5`
  Get CPU usage information with 0.5-second interval

**Details:**
Gets CPU load information

Args:
    interval (float, optional): Time interval (in seconds) to calculate CPU usage.
                               Defaults to 1 second.
    
Returns:
    Dictionary with CPU load information

---

### getCurrentDate

Command to get the current date in YYYY-MM-DD format

**Category:** system
**Description:** Gets the current date in YYYY-MM-DD format

**Parameters:**
None

**Examples:**
- `qzx getCurrentDate`
  Get the current date in the format YYYY-MM-DD

**Details:**
Gets the current date in YYYY-MM-DD format

Returns:
    Dictionary with the current date information

---

### getCurrentTime

Command to get the current time in HH-MM-SS-milliseconds format

**Category:** system
**Description:** Gets the current time in HH-MM-SS-milliseconds format

**Parameters:**
None

**Examples:**
- `qzx getCurrentTime`
  Get the current time with millisecond precision

**Details:**
Gets the current time in HH-MM-SS-milliseconds format

Returns:
    Dictionary with the current time information

---

### getCurrentUser

Command to get information about the currently logged in user

**Category:** system
**Description:** Gets information about the currently logged in user

**Parameters:**
None

**Examples:**
- `qzx getCurrentUser`
  Get detailed information about the currently logged in user

**Details:**
Gets information about the currently logged in user

Returns:
    Dictionary with user information and operation status

---

### getDiskInfo

Command to get information about disk space usage

**Category:** system
**Description:** Gets information about disk space usage

**Parameters:**
- `path`: Path to get disk information from. If not provided, all disks will be shown - Optional

**Examples:**
- `qzx getDiskInfo`
  Get information about all available disks
- `qzx getDiskInfo C:`
  Get information about the C: drive (Windows)
- `qzx getDiskInfo /home`
  Get information about the /home partition (Linux/Mac)

**Details:**
Gets disk space information for the specified path or all disks

Args:
    path (str, optional): Path to get information from. If not provided, all disks will be shown.
    
Returns:
    Dictionary with disk information and success status

---

### getDiskName

Command to get disk name/model information

**Category:** system
**Description:** Gets disk name/model information for a disk or all disks

**Parameters:**
- `disk_path`: Path to the disk to get information for. If not provided, shows information for all disks - Optional

**Examples:**
- `qzx getDiskName`
  Get information about all disks
- `qzx getDiskName C:`
  Get information about the C: drive (Windows)
- `qzx getDiskName /dev/sda`
  Get information about the /dev/sda disk (Linux)

**Details:**
Gets disk name/model information

Args:
    disk_path (str, optional): Path to the disk to get information for.
                              If not provided, shows information for all disks.
    
Returns:
    Dictionary with disk information

---

### getRAMInfo

Command to get information about system RAM

**Category:** system
**Description:** Gets detailed information about system RAM usage

**Parameters:**
None

**Examples:**
- `qzx getRAMInfo`
  Get detailed information about system memory usage

**Details:**
Gets information about system RAM

Returns:
    Dictionary with RAM information

---

### getSmartValues

Command to retrieve S.M.A.R.T. disk information and health status

**Category:** system
**Description:** Retrieves disk health information using S.M.A.R.T. technology

**Parameters:**
- `disk`: Disk identifier (e.g., "sda" on Linux, "PhysicalDrive0" on Windows) - Required
- `format`: Output format: "full" for all data, "health" for health summary - Optional (default: `health`)

**Examples:**
- `qzx getSmartValues sda`
  Get health information for /dev/sda (Linux)
- `qzx getSmartValues PhysicalDrive0 full`
  Get full S.M.A.R.T. data for PhysicalDrive0 (Windows)

**Details:**
Retrieves S.M.A.R.T. disk information

Args:
    disk (str): Disk identifier
    format (str, optional): Output format ("full" or "health")
    
Returns:
    Operation result with S.M.A.R.T. information

---

### killProcess

Command to terminate a process by PID

**Category:** system
**Description:** Terminates a process by its ID (similar to 'kill' in Unix)

**Parameters:**
- `pid`: Process ID to terminate - Required
- `force`: Whether to force termination (like kill -9) - Optional (default: `False`)

**Examples:**
- `qzx killProcess 1234`
  Terminate the process with PID 1234
- `qzx killProcess 1234 true`
  Force terminate the process with PID 1234

**Details:**
Terminates a process by PID

Args:
    pid (int): Process ID to terminate
    force (bool, optional): Whether to force termination
    
Returns:
    Dictionary with the operation result and status

---

### listProcesses

Command to list running processes

**Category:** system
**Description:** Lists running processes (similar to 'ps' in Unix)

**Parameters:**
- `filter_str`: Optional string to filter process names - Optional
- `sort_by`: Field to sort results by (pid, cpu, memory, name) - Optional (default: `cpu`)
- `limit`: Maximum number of processes to display - Optional (default: `0`)

**Examples:**
- `qzx listProcesses`
  List all processes
- `qzx listProcesses python`
  List processes containing "python" in their name
- `qzx listProcesses null memory 10`
  List the top 10 processes by memory usage

**Details:**
Lists running processes

Args:
    filter_str (str, optional): Optional string to filter process names
    sort_by (str, optional): Field to sort results by (pid, cpu, memory, name)
    limit (int, optional): Maximum number of processes to display
    
Returns:
    Dictionary with the process list and operation status

---

### qzxVersion

Command to display the current version of QZX

**Category:** system
**Description:** Displays the current version of QZX and system information

**Parameters:**
None

**Examples:**
- `qzx qzxVersion`
  Display the current version of QZX and system information

**Details:**
Displays the current version of QZX

Returns:
    Dictionary with version information

---

### runScript

Command to execute a script with parameters

**Category:** system
**Description:** Executes a script with parameters

**Parameters:**
- `script_path`: Path to the script to execute - Required
- `args`: Arguments to pass to the script - Optional (default: `[]`)

**Examples:**
- `qzx runScript myscript.py`
  Execute a Python script
- `qzx runScript myscript.py arg1 arg2`
  Execute a Python script with arguments
- `qzx runScript script.sh`
  Execute a shell script

**Details:**
Executes a script with parameters

Args:
    script_path (str): Path to the script to execute
    *args: List of arguments to pass to the script
    
Returns:
    Dictionary with the execution results and status

---

### systemInfo

Command to get system information

**Category:** system
**Description:** Gets information about the operating system and environment

**Parameters:**
None

**Examples:**
- `qzx systemInfo`
  Get detailed information about the system

**Details:**
Gets system information

Returns:
    Dictionary with system information

---

### wonderCommandsAmount

Command to check the total number of available commands in QZX

**Category:** system
**Description:** Reports the total number of available commands in QZX

**Parameters:**
None

**Examples:**
- `qzx wonderCommandsAmount`
  Check how many commands are available in QZX

**Details:**
Count and report the total number of available commands in QZX

Returns:
    Dictionary with the count of available commands

---

### wonderIfAdmin

Command to check if the current user has administrative privileges

**Category:** system
**Description:** Checks if the current user has administrative privileges

**Parameters:**
None

**Examples:**
- `qzx wonderIfAdmin`
  Check if the current user has administrative privileges

**Details:**
Checks if the current user has administrative privileges

Returns:
    Dictionary with administrative privilege information and status

---
